## ros-kinetic-cost-map-ros 0.3.3

=== src/lib/CMakeLists.txt ===
############################################################################
# Sources
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

##############################################################################
# Library
##############################################################################

add_library(${PROJECT_NAME} ${SOURCES} ${ITERATOR_SOURCES})
target_link_libraries(
    ${PROJECT_NAME}
        ${catkin_LIBRARIES}
        ${YAML_CPP_LIBRARIES}
        ${Boost_LIBRARIES}
)

##############################################################################
# Installs
##############################################################################

install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== src/tests/gtests/CMakeLists.txt ===
###############################################################################
# GTest setup
###############################################################################

macro(cost_map_ros_add_gtest TESTNAME)
  catkin_add_gtest(cost_map_ros_test_${TESTNAME} ${TESTNAME}.cpp)
  target_link_libraries(cost_map_ros_test_${TESTNAME} ${PROJECT_NAME} ${catkin_LIBRARIES})
endmacro(cost_map_ros_add_gtest)

##############################################################################
# Tests
##############################################################################

cost_map_ros_add_gtest(to_grid_map)

=== debian/changelog ===
ros-kinetic-cost-map-ros (0.3.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 02 Jan 2018 03:36:04 -0000

ros-kinetic-cost-map-ros (0.3.2-0xenial) xenial; urgency=high

  * refactor includes against grid_map_costmap_2d changes
  * new convenience constructor with nodehandle

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 06 Aug 2017 04:00:00 -0000

ros-kinetic-cost-map-ros (0.3.1-0xenial) xenial; urgency=high

  * minor api name fixes for Costmap2D references

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Feb 2017 05:00:00 -0000

ros-kinetic-cost-map-ros (0.3.0-0xenial) xenial; urgency=high

  * costmap2DROS converters
  * bugfix missing data copy in the toGridMap conversion

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 27 Dec 2016 05:00:00 -0000

ros-kinetic-cost-map-ros (0.2.0-0xenial) xenial; urgency=high

  * initial creation of similar functionality to that of grid maps

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 25 Aug 2016 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cost-map-ros
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-cost-map-core, ros-kinetic-cost-map-msgs, ros-kinetic-costmap-2d, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-console, ros-kinetic-grid-map-core, ros-kinetic-grid-map-costmap-2d, ros-kinetic-grid-map-ros, ros-kinetic-grid-map-visualization, ros-kinetic-nav-msgs, ros-kinetic-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cost-map-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, libyaml-cpp-dev, ros-kinetic-cost-map-core, ros-kinetic-cost-map-msgs, ros-kinetic-costmap-2d, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-console, ros-kinetic-grid-map-core, ros-kinetic-grid-map-costmap-2d, ros-kinetic-grid-map-ros, ros-kinetic-grid-map-visualization, ros-kinetic-nav-msgs, ros-kinetic-roslib
Description: Cost maps, following the style of ethz-asl's grid_map library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cost-map-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
